# Affiliation enum

Inheritance
  - Object
  - Enum
  - Affiliation

## Constructors

Affiliation (String value)
  const
Affiliation.fromString (String value)
  factory

## Values

owner → const Affiliation
  `Affiliation('owner')`
admin → const Affiliation
  `Affiliation('admin')`
member → const Affiliation
  `Affiliation('member')`
outcast → const Affiliation
  `Affiliation('outcast')`
none → const Affiliation
  `Affiliation('none')`

## Properties

hashCode → int
  The hash code for this object.
  no setterinherited
index → int
  A numeric identifier for the enumerated value.
  no setterinherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited
value → String
  The value to use for an attribute referring to this affiliation.
  final

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List <Affiliation>
  A constant List of the values in this enum, in order of their declaration.
  `[owner, admin, member, outcast, none]`